import request from '@/utils/request'

// 获取所有角色列表
export function getRoleList(data) {
  return request({
    url: '/role/list',
    method: 'post',
    data
  })
}

// 获取所有 菜单列表
export function getMenuList() {
  return request({
    url: '/menu/list',
    method: 'get'
  })
}

// 添加 角色
export function addRole(data) {
  return request({
    url: '/role/add',
    method: 'post',
    data
  })
}

// 修改 角色
export function updateRole(data) {
  return request({
    url: '/role/update',
    method: 'put',
    data
  })
}

// 根据 角色id 查询详情
export function getRoleInfo(id) {
  return request({
    url: '/role/info/' + id,
    method: 'get'
  })
}

// 根据 角色id集合 删除
export function deleteRole(data) {
  return request({
    url: '/role/delete',
    method: 'post',
    data
  })
}
